Package: groovy.inspect.swingui

## [Groovy] Class TreeNodeBuildingNodeOperation

- groovy.inspect.swingui.TreeNodeBuildingNodeOperation

- This Node Operation builds up a root tree node for the viewer.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `ScriptToTreeNodeAdapter` | `adapter`
    `def` | `nodeMaker`
    `def` | `root`
    `def` | `showClosureClasses`
    `def` | `showScriptClass`
    `def` | `showScriptFreeForm`
    `def` | `sourceCollected`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TreeNodeBuildingNodeOperation (ScriptToTreeNodeAdapter adapter, def showScriptFreeForm, def showScriptClass)`
    `TreeNodeBuildingNodeOperation (ScriptToTreeNodeAdapter adapter, def showScriptFreeForm, def showScriptClass, def showClosureClasses)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `call(org.codehaus.groovy.control.SourceUnit source, GeneratorContext context, ClassNode classNode)`
    `` | `protected void` | `makeClosureClassTreeNodes(ClassNode classNode)`

- - ### Property Detail

    - #### final ScriptToTreeNodeAdapter adapter

    - #### final def nodeMaker

    - #### final def root

    - #### final def showClosureClasses

    - #### final def showScriptClass

    - #### final def showScriptFreeForm

    - #### final def sourceCollected

  - ### Constructor Detail

    - #### TreeNodeBuildingNodeOperation(ScriptToTreeNodeAdapter adapter, def showScriptFreeForm, def showScriptClass)

    - #### TreeNodeBuildingNodeOperation(ScriptToTreeNodeAdapter adapter, def showScriptFreeForm, def showScriptClass, def showClosureClasses)

  - ### Method Detail

    - #### @Override void call(org.codehaus.groovy.control.SourceUnit source, GeneratorContext context, ClassNode classNode)

    - #### protected void makeClosureClassTreeNodes(ClassNode classNode)